> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# Get a single observation with full input/output/metadata

GET https://astropods.com/api/v1/deployments/{id}/observability/observations/{observationId}

Reference: https://docs.astropods.com/api-reference/astropods-api/observability/get-a-single-observation-with-full-input-output-metadata

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required) — Deployment ID
- `observationId` (string, required) — Observation ID

## Response

### 200

OK

- `cost` (double, optional)
- `end_time` (string, optional)
- `id` (string, optional)
- `input` (any, optional)
- `latency_ms` (double, optional)
- `level` (string, optional)
- `metadata` (map from string to any, optional)
- `model` (string, optional)
- `model_parameters` (map from string to any, optional)
- `name` (string, optional)
- `output` (any, optional)
- `parent_id` (string, optional)
- `start_time` (string, optional)
- `status_message` (string, optional)
- `type` (string, optional)
- `usage` (ObservationUsage, optional)

## Types

### ObservationUsage

- `input` (integer, optional)
- `output` (integer, optional)
- `total` (integer, optional)
- `unit` (string, optional)

## Examples

**Response**

```json
{
  "cost": 1.1,
  "end_time": "string",
  "id": "string",
  "latency_ms": 1.1,
  "level": "string",
  "metadata": {},
  "model": "string",
  "model_parameters": {},
  "name": "string",
  "parent_id": "string",
  "start_time": "string",
  "status_message": "string",
  "type": "string",
  "usage": {
    "input": 1,
    "output": 1,
    "total": 1,
    "unit": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/deployments/id/observability/observations/observationId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/deployments/id/observability/observations/observationId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/deployments/id/observability/observations/observationId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/deployments/id/observability/observations/observationId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://astropods.com/api/v1/deployments/id/observability/observations/observationId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://astropods.com/api/v1/deployments/id/observability/observations/observationId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/deployments/id/observability/observations/observationId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/deployments/id/observability/observations/observationId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```